com.ihr.xbrl.dts

## Class LangsProviderBasic

- java.lang.Object
- - com.ihr.xbrl.dts.LangsProviderBasic

- All Implemented Interfaces:
    LangsProvider

      public class LangsProviderBasic
      extends java.lang.Object
      implements LangsProvider

  The Class LangsProviderBasic.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LANG_PROPERTY_NAME` The Constant LANG_PROPERTY_NAME.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LangsProviderBasic()` Instantiates a new langs provider basic.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds the property change listener.
    `void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)` Adds the property change listener.
    `java.util.Iterator<java.lang.String>` | `getLangs()` The ordered list of preferred languages.
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes the property change listener.
    `void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)` Removes the property change listener.
    `void` | `setLangs(java.util.Collection<java.lang.String> newCol)` Sets the set of languages (replaces current set of labels) .
    `void` | `showNewLangsAddedMessage()` an application that implements LangsProvider is informed about new languages added to the languages lists by the labels provider.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LANG_PROPERTY_NAME

          public static final java.lang.String LANG_PROPERTY_NAME

      The Constant LANG_PROPERTY_NAME.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LangsProviderBasic

          public LangsProviderBasic()

      Instantiates a new langs provider basic.

  - ### Method Detail

    - #### getLangs

          public java.util.Iterator<java.lang.String> getLangs()

      Description copied from interface: `LangsProvider`
      The ordered list of preferred languages.
      Specified by:
        `getLangs` in interface `LangsProvider`
      Returns:
        Collection<String>

    - #### setLangs

          public void setLangs(java.util.Collection<java.lang.String> newCol)

      Description copied from interface: `LangsProvider`
      Sets the set of languages (replaces current set of labels) .
      Specified by:
        `setLangs` in interface `LangsProvider`
      Parameters:
        `newCol` - the new langs

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

      Adds the property change listener.
      Parameters:
        `listener` - the listener

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.lang.String propertyName,
                                       java.beans.PropertyChangeListener listener)

      Adds the property change listener.
      Parameters:
        `propertyName` - the property name
        `listener` - the listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

      Removes the property change listener.
      Parameters:
        `listener` - the listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

      Removes the property change listener.
      Parameters:
        `propertyName` - the property name
        `listener` - the listener

    - #### showNewLangsAddedMessage

          public void showNewLangsAddedMessage()

      Description copied from interface: `LangsProvider`
      an application that implements LangsProvider is informed about new languages added to the languages lists by the labels provider.

      The LabelsProvider requires a LangsProvider during the creation. that LangsProvider is informed about new languages when the labels database is build.

      Applications should show a message to the user or call the LabelsProviderUI.showNewLangsAddedMessage() method that shows an standard message.

      .NET api can use a different UI for the same purpose

      Specified by:
        `showNewLangsAddedMessage` in interface `LangsProvider`